using System;

namespace DevTips.Tips
{
    class ActionClient
    {
        public static void Client()
        {
            // Default
            Action<string> act = Output;
            act("Hello");

            // Ananymous method
            Action<string, string> act2 = delegate (string msg, string title)
            {
                System.Console.WriteLine($"[{title}] msg");
            };
            act2("No data found", "Error");

            // Lambda
            Action<int> act3 = (code) => Console.WriteLine($"Code: {code}");
            act3(505);
        }

        private static void Output(string msg)
        {
            System.Console.WriteLine(msg);
        }
    }
}